<?php
	
	$deep_fonts_array = deep_fonts_array_builder();
	
	$deep_style_general_options= array( array(
		"name" => "Menus",
		"type" => "title",
	),
	
	array(
		"type" => "open",
		"subtitles"=>array(array("id"=>"light-top-menu", "name"=>"Menu Items Light (on Dark Header)"), array("id"=>"dark-top-menu", "name"=>"Menu Items Dark (on Light Header)"), array("id"=>"sub-items", "name"=>"Sub Menu Items"), array("id"=>"menus-style6", "name"=>"Menu Style 6"))
	),
	
	/* ------------------------------------------------------------------------*
	 * MENU OPTIONS
	 * ------------------------------------------------------------------------*/
	
	
	
	array(
		"type" => "subtitle",
		"id"=>'light-top-menu'
	),
	
	array(
		"type" => "documentation",
		"text" => '<h3>Top Menu Items Light</h3>'
	),
	
	array(
		"type" => "documentation",
		"text" => '<h5>PRE-SCROLL</h5>'
	),
	
	array(
		"name" => "Font",
		"id" => "deep_menu_font_pre_light",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the fonts that the theme goes with or you can add google fonts (Ultimate > Google Fonts).',
		"std" => "Hind|||500|||googleFonts"
	),
	
	array(
		"name" => "Font Color",
		"id" => "deep_menu_color_pre_light",
		"type" => "color",
		"std" => "e0e0e01"
	),
	
	array(
		"name" => "Font Color Hover",
		"id" => "deep_menu_color_hover_pre_light",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"name" => "Font Size",
		"id" => "deep_menu_font_size_pre_light",
		"type" => "slider",
		"std" => "11px",
		"desc" => "Change the size of your menu font."
	),
	
	array(
		"name" => "Text Uppercase",
		"id" => "deep_menu_uppercase_pre_light",
		"type" => "checkbox",
		"std" => "on"
	),
	
	array(
		"name" => "Letter Spacing",
		"id" => "deep_menu_letter_spacing_pre_light",
		"type" => "text",
		"std" => "3px"
	),
	
	array(
		"name" => "Menu Side Margin",
		"id" => "deep_menu_side_margin_pre_light",
		"type" => "slider",
		"std" => "20px"
	),
	
	array(
		"name" => "Menu Margin Top",
		"id" => "deep_menu_margin_top_pre_light",
		"type" => "text",
		"std" => "35px"
	),
	
	
	array(
		"name" => "Menu Padding Bottom",
		"id" => "deep_menu_padding_bottom_pre_light",
		"type" => "text",
		"std" => "34px"
	),
	
	array(
		"type" => "documentation",
		"text" => '<h5>AFTER-SCROLL</h5>'
	),
	
	array(
		"name" => "Font",
		"id" => "deep_menu_font_after_light",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the fonts that the theme goes with or you can add google fonts (Ultimate > Google Fonts).',
		"std" => "Hind|||500|||googleFonts"
	),
	
	array(
		"name" => "Font Color",
		"id" => "deep_menu_color_after_light",
		"type" => "color",
		"std" => "e0e0e0"
	),
	
	array(
		"name" => "Font Color Hover",
		"id" => "deep_menu_color_hover_after_light",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"name" => "Font Size",
		"id" => "deep_menu_font_size_after_light",
		"type" => "slider",
		"std" => "11px",
		"desc" => "Change the size of your menu font."
	),
	
	array(
		"name" => "Text Uppercase",
		"id" => "deep_menu_uppercase_after_light",
		"type" => "checkbox",
		"std" => "on"
	),
	
	array(
		"name" => "Letter Spacing",
		"id" => "deep_menu_letter_spacing_after_light",
		"type" => "text",
		"std" => "3px"
	),
	
	// array(
	// 	"name" => "Add Border ?",
	// 	"id" => "deep_menu_add_border_after_light",
	// 	"type" =>"checkbox",
	// 	"std" => "off"
	// ),
	// 
	// array(
	// 	"name"=>"Border Color",
	// 	"id" => "deep_menu_border_color_after_light",
	// 	"type" => "color",
	// 	"std" => "0c031c"
	// ),
	
	array(
		"name" => "Menu Side Margin",
		"id" => "deep_menu_side_margin_after_light",
		"type" => "slider",
		"std" => "20px"
	),
	
	array(
		"name" => "Menu Margin Top",
		"id" => "deep_menu_margin_top_after_light",
		"type" => "text",
		"std" => "26px"
	),
	
	
	array(
		"name" => "Menu Padding Bottom",
		"id" => "deep_menu_padding_bottom_after_light",
		"type" => "text",
		"std" => "25px"
	),

	array("type"=>"close"),
	
	array(
		"type" => "subtitle",
		"id"=>'dark-top-menu'
	),
	
	array(
		"type" => "documentation",
		"text" => '<h3>Top Menu Items Dark</h3>'
	),
	
	array(
		"type" => "documentation",
		"text" => '<h5>PRE-SCROLL</h5>'
	),
	
	array(
		"name" => "Font",
		"id" => "deep_menu_font_pre_dark",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the fonts that the theme goes with or you can add google fonts (Ultimate > Google Fonts).',
		"std" => "Hind|||500|||googleFonts"
	),
	
	array(
		"name" => "Font Color",
		"id" => "deep_menu_color_pre_dark",
		"type" => "color",
		"std" => "444444"
	),
	
	array(
		"name" => "Font Color Hover",
		"id" => "deep_menu_color_hover_pre_dark",
		"type" => "color",
		"std" => "999999"
	),
	
	array(
		"name" => "Font Size",
		"id" => "deep_menu_font_size_pre_dark",
		"type" => "slider",
		"std" => "11px",
		"desc" => "Change the size of your menu font."
	),
	
	array(
		"name" => "Text Uppercase",
		"id" => "deep_menu_uppercase_pre_dark",
		"type" => "checkbox",
		"std" => "on"
	),
	
	array(
		"name" => "Letter Spacing",
		"id" => "deep_menu_letter_spacing_pre_dark",
		"type" => "text",
		"std" => "3px"
	),
	
	// array(
	// 	"name" => "Add Border ?",
	// 	"id" => "deep_menu_add_border_pre_dark",
	// 	"type" =>"checkbox",
	// 	"std" => "off"
	// ),
	// 
	// array(
	// 	"name"=>"Border Color",
	// 	"id" => "deep_menu_border_color_pre_dark",
	// 	"type" => "color",
	// 	"std" => "1c0c3d"
	// ),
	
	array(
		"name" => "Menu Side Margin",
		"id" => "deep_menu_side_margin_pre_dark",
		"type" => "slider",
		"std" => "20px"
	),
	
	array(
		"name" => "Menu Margin Top",
		"id" => "deep_menu_margin_top_pre_dark",
		"type" => "text",
		"std" => "35px"
	),
	
	
	array(
		"name" => "Menu Padding Bottom",
		"id" => "deep_menu_padding_bottom_pre_dark",
		"type" => "text",
		"std" => "34px"
	),
	
	array(
		"type" => "documentation",
		"text" => '<h5>AFTER-SCROLL</h5>'
	),
	
	array(
		"name" => "Font",
		"id" => "deep_menu_font_after_dark",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the fonts that the theme goes with or you can add google fonts (Ultimate > Google Fonts).',
		"std" => "Hind|||500|||googleFonts"
	),
	
	array(
		"name" => "Font Color",
		"id" => "deep_menu_color_after_dark",
		"type" => "color",
		"std" => "444444"
	),
	
	array(
		"name" => "Font Color Hover",
		"id" => "deep_menu_color_hover_after_dark",
		"type" => "color",
		"std" => "999999"
	),
	
	array(
		"name" => "Font Size",
		"id" => "deep_menu_font_size_after_dark",
		"type" => "slider",
		"std" => "11px",
		"desc" => "Change the size of your menu font."
	),
	
	array(
		"name" => "Text Uppercase",
		"id" => "deep_menu_uppercase_after_dark",
		"type" => "checkbox",
		"std" => "on"
	),
	
	array(
		"name" => "Letter Spacing",
		"id" => "deep_menu_letter_spacing_after_dark",
		"type" => "text",
		"std" => "3px"
	),
	
	// array(
	// 	"name" => "Add Border ?",
	// 	"id" => "deep_menu_add_border_after_dark",
	// 	"type" =>"checkbox",
	// 	"std" => "off"
	// ),
	// 
	// array(
	// 	"name"=>"Border Color",
	// 	"id" => "deep_menu_border_color_after_dark",
	// 	"type" => "color",
	// 	"std" => "1c0c3d"
	// ),
	
	array(
		"name" => "Menu Side Margin",
		"id" => "deep_menu_side_margin_after_dark",
		"type" => "slider",
		"std" => "20px"
	),
	
	array(
		"name" => "Menu Margin Top",
		"id" => "deep_menu_margin_top_after_dark",
		"type" => "text",
		"std" => "26px"
	),
	
	
	array(
		"name" => "Menu Padding Bottom",
		"id" => "deep_menu_padding_bottom_after_dark",
		"type" => "text",
		"std" => "25px"
	),
	
	array("type"=>"close"),
	
	array(
		"type" => "subtitle",
		"id"=>'sub-items'
	),
	
	array(
		"type" => "documentation",
		"text" => '<h3>Sub Menu Items</h3>'
	),
		
	array(
		"name" => "Font",
		"id" => "deep_sub_menu_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the fonts that the theme goes with or you can add google fonts (Ultimate > Google Fonts).',
		"std" => "Mulish|||400|||googleFonts"
	),
	
	array(
		"name" => "Font Color",
		"id" => "deep_sub_menu_color",
		"type" => "color",
		"std" => "333333"
	),
	
	array(
		"name" => "Font Color Hover",
		"id" => "deep_sub_menu_color_hover",
		"type" => "color",
		"std" => "b8b8b8"
	),
	
	array(
		"name" => "Font Size",
		"id" => "deep_sub_menu_font_size",
		"type" => "slider",
		"std" => "12px",
		"desc" => "Change the size of your menu font."
	),
	
	array(
		"name" => "Text Uppercase",
		"id" => "deep_sub_menu_uppercase",
		"type" => "checkbox",
		"std" => "off"
	),
	
	array(
		"name" => "Letter Spacing",
		"id" => "deep_sub_menu_letter_spacing",
		"type" => "text",
		"std" => "0px"
	),
	
	
	array(
		"name" => "Background Color",
		"id" => "deep_sub_menu_bg_color",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"name" => "Background Opacity",
		"id" => "deep_sub_menu_bg_opacity",
		"type" => "opacity_slider",
		"std" => "100"
	),
	
	array(
		"name" => "Background Color Hover",
		"id" => "deep_sub_menu_bg_color_hover",
		"type" => "color",
		"std" => "101010"
	),
	
	array(
		"name" => "Background Hover Opacity",
		"id" => "deep_sub_menu_bg_color_hover_opacity",
		"type" => "opacity_slider",
		"std" => "100"
	),
	
	array(
		"name"=>"Border Color",
		"id" => "deep_sub_menu_border_color",
		"type" => "color",
		"std" => "ededed"
	),
	
	array(
		"name" => "Border Opacity",
		"id" => "deep_sub_menu_border_color_opacity",
		"type" => "opacity_slider",
		"std" => "100"
	),
	
	array(
		"name"=>"Border Color (Mobile)",
		"id" => "deep_sub_menu_border_color_mobile",
		"type" => "color",
		"std" => "ededed"
	),
	
	array(
		"name" => "Border Opacity (Mobile)",
		"id" => "deep_sub_menu_border_color_opacity_mobile",
		"type" => "opacity_slider",
		"std" => "100"
	),
	
	array(
		"type" => "documentation",
		"text" => '<h3>Just Label (Without Link)</h3>'
	),
	
	array(
		"name" => "Font",
		"id" => "deep_label_menu_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the fonts that the theme goes with or you can add google fonts (Ultimate > Google Fonts).',
		"std" => "Mulish|||400|||googleFonts"
	),
	
	array(
		"name" => "Font Color",
		"id" => "deep_label_menu_color",
		"type" => "color",
		"std" => "333333"
	),
	
	array(
		"name" => "Font Size",
		"id" => "deep_label_menu_font_size",
		"type" => "slider",
		"std" => "11px",
		"desc" => "Change the size of your menu font."
	),
	
	array(
		"name" => "Text Uppercase",
		"id" => "deep_label_menu_uppercase",
		"type" => "checkbox",
		"std" => "off"
	),
	
	array(
		"name" => "Letter Spacing",
		"id" => "deep_label_menu_letter_spacing",
		"type" => "text",
		"std" => "3px"
	),
	
	array("type"=>"close"),
	
	/* NEW Menu Style 6 */
	array(
		"type" => "subtitle",
		"id"=>'menus-style6'
	),
	
	array(
		"type" => "documentation",
		"text" => '<h3>Menu Style 6 (Fullscreen Menu)</h3>'
	),
	
	array(
	"name" => "Align Items",
	"id" => "deep_menu6_align_items",
	"type" => "select",
	"options" => array(array('id'=>'left', 'name'=>'Left'), array('id'=>'center','name'=>'Center'), array('id'=>'right','name'=>'Right')),
	"std" => 'center'
),

	array(
		"name" => "Font",
		"id" => "deep_menu6_font",
		"type" => "boldway_font_builder",
		"options" => $deep_fonts_array,
		"desc" => 'You can select one of the fonts that the theme goes with or you can add google fonts (Ultimate > Google Fonts).',
		"std" => "Hind|||500|||googleFonts"
	),
	
	array(
		"type" => "documentation",
		"text" => '<h5>Main Menu Items</h5>'
	),
	
	array(
		"name" => "Font Color",
		"id" => "deep_menu6_color",
		"type" => "color",
		"std" => "cccccc"
	),
	
	array(
		"name" => "Font Color Hover",
		"id" => "deep_menu6_color_hover",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"name" => "Font Size",
		"id" => "deep_menu6_font_size",
		"type" => "slider",
		"std" => "55px",
		"desc" => "Change the size of your menu font."
	),
	
	array(
		"name" => "Text Uppercase",
		"id" => "deep_menu6_uppercase",
		"type" => "checkbox",
		"std" => "on"
	),
	
	array(
		"name" => "Letter Spacing",
		"id" => "deep_menu6_letter_spacing",
		"type" => "text",
		"std" => "10px"
	),
	
	array(
		"name" => "Margin Between Items",
		"id" => "deep_menu6_margin",
		"type" => "text",
		"std" => "55px"
	),
	
	array(
		"type" => "documentation",
		"text" => '<h5>Sub Menu Items</h5>'
	),
	
	array(
		"name" => "Font Color",
		"id" => "deep_sub_menu6_color",
		"type" => "color",
		"std" => "c9c9c9"
	),
	
	array(
		"name" => "Font Color Hover",
		"id" => "deep_sub_menu6_color_hover",
		"type" => "color",
		"std" => "ffffff"
	),
	
	array(
		"name" => "Font Size",
		"id" => "deep_sub_menu6_font_size",
		"type" => "slider",
		"std" => "25px",
		"desc" => "Change the size of your menu font."
	),
	
	array(
		"name" => "Text Uppercase",
		"id" => "deep_sub_menu6_uppercase",
		"type" => "checkbox",
		"std" => "on"
	),
	
	array(
		"name" => "Letter Spacing",
		"id" => "deep_sub_menu6_letter_spacing",
		"type" => "text",
		"std" => "3px"
	),
	
	array(
		"name" => "Margin Between Items",
		"id" => "deep_sub_menu6_margin",
		"type" => "text",
		"std" => "35px"
	),
	
	array(
		"type" => "documentation",
		"text" => '<h5>Background Colors</h5>'
	),
	
	array(
		"name" => "Background Color Open",
		"id" => "deep_menu6_bg_color",
		"type" => "color",
		"std" => "111111"
	),
	
	array(
		"name" => "Background Color Close",
		"id" => "deep_menu6_bg_close_color",
		"type" => "color",
		"std" => "efbc5e"
	),
	
	
	array(
		"name" => "Close X Color",
		"id" => "deep_menu6_closex_color",
		"type" => "color",
		"std" => "111111"
	),
	
	array("type"=>"close"),

	/*close array*/
	
	array(
		"type" => "close"
	));
	
	deep_add_style_options($deep_style_general_options);
	
?>